<template>
	<div class="vault-rewards">
		<div class="inner">
			<div class="title hustle">{{getLocale('vault_rewards_title')}}</div>
			<div class="bytes-reward">
				{{rewards.rewards}}
				<span class="icon" :style="{ 'background-image' : getBytesImage() }"></span>
			</div>
		</div>
	</div>
</template>


<script>
	import { commonMixin } from '../mixins/common.js';
	
	export default {
		props: ['rewards'],
		mixins: [commonMixin]
	}
</script>


<style lang="scss" scoped>
	.vault-rewards{
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 2147483647;
		
		.inner{
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%,-50%);
			padding: 20px;
			background-color: black;
			color: white;
			border: 1px solid white;
			
			.title{
				font-size: 35px;
				text-align: center;
				margin-bottom: 10px;
			}
			
			.bytes-reward{
				text-align: center;
				
				.icon{
					display: inline-block;
					width: 24px;
					height: 24px;
					transform: translateY(5px);
				}
			}
		}
	}
</style>

